Package org.eclipse.net4j.util.ui.widgets

## Class LogDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.jface.dialogs.TitleAreaDialog
        - - org.eclipse.net4j.util.ui.widgets.BaseDialog<Viewer>
          - - org.eclipse.net4j.util.ui.widgets.LogDialog

- All Implemented Interfaces:
    `IShellProvider`

      public class LogDialog
      extends BaseDialog<Viewer>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.widgets.BaseDialog

      `DEFAULT_SHELL_STYLE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK, resizeHasOccurred`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogDialog​(Shell parentShell, int shellStyle, java.lang.String title, java.lang.String message, IDialogSettings settings)` |
    `LogDialog​(Shell parentShell, java.lang.String title, java.lang.String message, IDialogSettings settings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `append​(java.lang.String text)` |
    `void` | `append​(java.lang.Throwable t)` |
    `boolean` | `close()` |
    `protected void` | `createButtonsForButtonBar​(Composite parent)` |
    `protected void` | `createUI​(Composite parent)` |
    `TextStyle` | `getTextStyle()` |
    `void` | `setTextStyle​(TextStyle textStyle)` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.widgets.BaseDialog

      `createDialogArea, fillContextMenu, getCurrentViewer, getDialogBoundsSettings, getDialogSettings, getDialogSettings, hookContextMenu, setCurrentViewer`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

      `createContents, getErrorMessage, getInitialSize, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

      `closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, buttonPressed, cancelPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, configureShell, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogDialog

          public LogDialog​(Shell parentShell,
                           int shellStyle,
                           java.lang.String title,
                           java.lang.String message,
                           IDialogSettings settings)

    - #### LogDialog

          public LogDialog​(Shell parentShell,
                           java.lang.String title,
                           java.lang.String message,
                           IDialogSettings settings)

  - ### Method Detail

    - #### getTextStyle

          public TextStyle getTextStyle()

    - #### setTextStyle

          public void setTextStyle​(TextStyle textStyle)

    - #### append

          public void append​(java.lang.String text)

    - #### append

          public void append​(java.lang.Throwable t)

    - #### close

          public boolean close()

      Overrides:
        `close` in class `BaseDialog<Viewer>`

    - #### createUI

          protected void createUI​(Composite parent)

      Specified by:
        `createUI` in class `BaseDialog<Viewer>`

    - #### createButtonsForButtonBar

          protected void createButtonsForButtonBar​(Composite parent)

      Overrides:
        `createButtonsForButtonBar` in class `Dialog`